<!DOCTYPE html>

<html lang="en" xmlns="http://www.w3.org/1999/xhtml" ng-app="tiendavirtual">
    <head>
        <title>Inventario</title>
        <meta charset="utf-8" />
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">        
    </head>
    <body class="bg-light">
        <header>
            <nav class="navbar fixed-top navbar-light bg-success">
                <a class="navbar-brand" href="#">Tienda Virtual - Mi Inventario</a>
                <img src="">
            </nav>

        </header>
        <main class="row m-3" ng-controller="filasInventario">
             <article class="col-sm"> <!--Angularjs-->
                <section class="m-2 p-3 mx-auto container-md border bg-white">
                    <div class="mb-3">
                        <label for="exampleFormControlInput1" class="form-label">Consultar Producto</label>
                        <input type="text" class="form-control" id="exampleFormControlInput1"  value="" ng-model="id_producto"/>
                        <br/>
                        <button type="button" class="btn btn-success" ng-click="consultar()">Consulta aquí</button>
                    </div>
                </section>
                <section class="m-2 p-3 mx-auto container-md border bg-white">
                    <div class="mb-3">
                        <label for="nombre_producto" class="form-label">Nombre del producto vendido</label>
                        <input type="text" class="form-control" id="nombre_producto"  value="{{nombre_producto}}" ng-model="nombre_producto"/>
                        <label for="cantidad" class="form-label">Cantidad</label>
                        <input type="text" class="form-control" id="cantidad"  value="{{cantidad}}" ng-model="cantidad"/>
                        <label for="precio" class="form-label">Precio</label>
                        <input type="text"  class="form-control" id="precio"  value="{{precio}}" ng-model="precio"/>                        
                        <br/> <!--salto de línea-->
                        <button type="button" class="btn btn-success" ng-click="actualizar()">Actualizar</button>
                    </div>
                </section>
            </article>
            <article class="col-sm">
                <section class="m-2 p-3 mx-auto container-md border bg-white">
                    <table class="table">
                        <thead>
                            <tr>
                                <th scope="col">Id Producto</th>
                                <th scope="col">Nombre del producto</th>
                                <th scope="col">Fecha de compra</th>
                                <th scope="col">Procedencia</th>
                                <th scope="col">Precio</th>
                                <th scope="col">Cantidad</th>
                                <th scope="col">Fecha de vencimiento</th>
                                <th scope="col">Tipo de almacenamiento</th>
                                <!--<th scope="col">Acciones</th>-->
                            </tr>
                        </thead>
                        <tbody>
                            <tr ng-repeat="fila in filas">
                                <td>{{fila.id_producto}}</td>
                                <td>{{fila.nombre_producto}}</td>
                                <td>{{fila.fecha_compra}}</td>
                                <td>{{fila.procedencia}}</td>
                                <td>{{fila.precio}}</td>
                                <td>{{fila.cantidad}}</td>
                                <td>{{fila.fecha_vecimiento}}</td>
                                <td>{{fila.tipo_almacenamiento}}</td>
                                <!--<td>
                                    <button type="button" class="btn btn-success">Editar</button>
                                    <button type="button" class="btn btn-danger">Remover</button>
                                </td>-->
                            </tr>
                        </tbody>
                    </table>
                </section>
                <section class="m-2 p-3 mx-auto container-md border bg-white">
                    <div class="mb-3">
                        <label for="exampleFormControlInput1" class="form-label">Eliminar producto por Id</label>
                        <input type="text" class="form-control" id="exampleFormControlInput1"  value="" ng-model="id_producto"/>
                        <br/>
                        <button type="button" class="btn btn-warning" ng-click="borrar()">Eliminar producto</button>
                    </div>
                </section>
                <section class="m-2 p-3 mx-auto container-md border bg-white">
                    <div class="mb-3">
                        <label for="nombre_producto" class="form-label">Nombre del producto</label>
                        <input type="text" class="form-control" id="nombre_producto"  value="{{nombre_producto}}" ng-model="nombre_producto"/>
                        <label for="edad" class="form-label">Fecha de compra</label>
                        <input type="text" class="form-control" id="fecha_compra"  value="{{fecha_compra}}" ng-model="fecha_compra"/>
                        <label for="correo" class="form-label">Procedencia</label>
                        <input type="text"  class="form-control" id="procedencia"  value="{{procedencia}}" ng-model="procedencia"/>
                        <label for="nombre_producto" class="form-label">Precio</label>
                        <input type="text" class="form-control" id="precio"  value="{{precio}}" ng-model="precio"/>
                        <label for="edad" class="form-label">Cantidad</label>
                        <input type="text" class="form-control" id="cantidad"  value="{{cantidad}}" ng-model="cantidad"/>
                        <label for="correo" class="form-label">Fecha de vencimiento</label>
                        <input type="text"  class="form-control" id="fecha_vencimiento"  value="{{fecha_vencimiento}}" ng-model="fecha_vencimiento"/>
                        <label for="correo" class="form-label">Tipo de almacenamiento</label>
                        <input type="text"  class="form-control" id="tipo_almacenamiento"  value="{{tipo_almacenamiento}}" ng-model="tipo_almacenamiento"/>
                        <br/> <!--salto de línea-->
                        <button type="button" class="btn btn-success" ng-click="guardarProducto()">Guardar producto</button>
                    </div>
                </section>
            </article>
        </main>
        <footer>
        </footer>
        <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.0.7/angular.min.js"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ" crossorigin="anonymous"></script>
        <!--<script src="js/angular-bootstrap.js" type="text/javascript"></script>-->
        <script src="js/cedula.js"></script>
    </body>
</html>
